import 'dart:async';
import 'dart:io';
import 'package:feed_plugin/models/media_source.dart';
import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'list_tile_widget.dart';

class CameraButtonWidget extends StatelessWidget {
  const CameraButtonWidget({Key? key, this.loc}) : super(key: key);

  final loc;
  @override
  Widget build(BuildContext context) => ListTileWidget(
        text: loc.translate('From Camera'),
        icon: Icons.camera_alt,
        onClicked: () => pickCameraMedia(context),
      );

  Future pickCameraMedia(BuildContext context) async {
    final MediaSource? source = ModalRoute.of(context)!.settings.arguments as MediaSource?;

    final getMedia = source == MediaSource.image
        ? ImagePicker().pickImage
        : ImagePicker().pickVideo;

    final media = await (getMedia(source: ImageSource.camera) as FutureOr<XFile>);
    final file = File(media.path);
    Navigator.of(context).pop(file);
  }
}
